/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.oa.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.oa.entity.OaNotify;

import java.util.List;

/**
 * 通知通告DAO接口
 * @author jeeplus
 * @version 2014-05-16
 */
@MyBatisDao
public interface OaNotifyDao extends CrudDao<OaNotify> {
	
	/**
	 * 获取通知数目
	 * @param oaNotify
	 * @return
	 */
	public Long findCount(OaNotify oaNotify);


    String getCreateId(String id);
    void saveRemarks(OaNotify oaNotify);

    //我的通告
    List<OaNotify> findListByMyself(OaNotify oaNotify);
    //我的通告
    List<OaNotify> findListByPc(OaNotify oaNotify);

    void updateStatusById(OaNotify oaNotify);

    void updateProcessIdAndStatus(OaNotify oaNotify);
}